<template>
  <AppFrame :tabs="tabs">
    <img src="https://webapp-pub.ezijing.com/www/pc/alumnus/banner.png" class="banner" />
    <template #article>
      <ArticleList v-bind="listOptions" />
    </template>
  </AppFrame>
</template>

<script setup>
import { getArticleList } from '@/api'

const config = useRuntimeConfig()
const tabs = useAboutNavList()

const listOptions = {
  remote: {
    httpRequest: getArticleList,
    params: {
      project_id: config.public.projectId,
      type_tag: 'article_alumni',
    },
  },
  to(item) {
    return { path: `/about/alumnus/${item.id}` }
  },
}
</script>

<style lang="scss" scoped>
.main_content {
  width: 1200px;
  margin: 30px auto;

  .banner {
    width: 100%;
  }
}
</style>
